## opal 3.10.2~dfsg

=== plugins/audio/SILK/SILK_SDK/Makefile ===
#					
# Makefile for Silk SDK			
#
# Copyright (c) 2010, Skype Limited
# All rights reserved.
#

#Platform detection and settings

BUILD_OS := $(shell uname | sed -e 's/^.*Darwin.*/MacOS-X/ ; s/^.*CYGWIN.*/Windows/')

BUILD_ARCHITECTURE := $(shell uname -m | sed -e 's/i686/i386/')

EXESUFFIX = 
LIBPREFIX = lib
LIBSUFFIX = .a
OBJSUFFIX = .o

CC     = $(TOOLCHAIN_PREFIX)gcc$(TOOLCHAIN_SUFFIX)
AR     = $(TOOLCHAIN_PREFIX)ar
RANLIB = $(TOOLCHAIN_PREFIX)ranlib
CP     = $(TOOLCHAIN_PREFIX)cp

cflags-from-defines    = $(addprefix -D,$(1))
cflags-from-includes   = $(addprefix -I,$(1))
ldflags-from-ldlibdirs = $(addprefix -L,$(1))
ldlibs-from-libs       = $(addprefix -l,$(1))

CFLAGS	+= -Wall -enable-threads -O3 -fPIC

CFLAGS  += $(call cflags-from-defines,$(CDEFINES))
CFLAGS  += $(call cflags-from-defines,$(ADDED_DEFINES))
CFLAGS  += $(call cflags-from-includes,$(CINCLUDES))
LDFLAGS += $(call ldflags-from-ldlibdirs,$(LDLIBDIRS))
LDLIBS  += $(call ldlibs-from-libs,$(LIBS))

COMPILE.c.cmdline   = $(CC) -c $(CFLAGS) -o $@ $<
LINK.o.cmdline      = $(LINK.o) -lm $^ $(LDLIBS) -o $@$(EXESUFFIX) 
ARCHIVE.cmdline     = $(AR) $(ARFLAGS) $@ $^ && $(RANLIB) $@

%$(OBJSUFFIX):%.c
	$(COMPILE.c.cmdline)

# Directives

CINCLUDES += interface src test

# VPATH e.g. VPATH = src:../headers
VPATH = ./ \
        interface \
        src \
        test 

# Variable definitions
LIB_NAME = SKP_SILK_SDK
TARGET = $(LIBPREFIX)$(LIB_NAME)$(LIBSUFFIX)

SRCS_C = $(wildcard src/*.c)

OBJS := $(patsubst %.c,%$(OBJSUFFIX),$(SRCS_C))

ENCODER_SRCS_C = test/Encoder.c
ENCODER_OBJS := $(patsubst %.c,%$(OBJSUFFIX),$(ENCODER_SRCS_C))

DECODER_SRCS_C = test/Decoder.c
DECODER_OBJS := $(patsubst %.c,%$(OBJSUFFIX),$(DECODER_SRCS_C))

SIGNALCMP_SRCS_C = test/signalCompare.c
SIGNALCMP_OBJS := $(patsubst %.c,%$(OBJSUFFIX),$(SIGNALCMP_SRCS_C))

LIBS = \
	$(LIB_NAME)

LDLIBDIRS = ./

# Rules
default: all

all: $(TARGET) encoder decoder signalcompare

lib: $(TARGET)

$(TARGET): $(OBJS)
	$(ARCHIVE.cmdline)

encoder$(EXESUFFIX): $(ENCODER_OBJS)	
	$(LINK.o.cmdline)

decoder$(EXESUFFIX): $(DECODER_OBJS)	
	$(LINK.o.cmdline)

signalcompare$(EXESUFFIX): $(SIGNALCMP_OBJS)	
	$(LINK.o.cmdline)

clean:
	$(RM) $(TARGET)* $(OBJS) $(ENCODER_OBJS) $(DECODER_OBJS) \
		  $(SIGNALCMP_OBJS) $(TEST_OBJS) \
		  encoder$(EXESUFFIX) decoder$(EXESUFFIX) signalcompare$(EXESUFFIX)

install uninstall:
	@true

=== debian/changelog ===
opal (3.10.2~dfsg-0ubuntu1) oneiric; urgency=low

  [ Colin Watson ]
  * Update to 3.10 version to fix FTBFS/NBS. (LP: #836915)
  * Port to libav 0.7 API.

  [ Martin Pitt ]
  * New upstream bug fix release, required by Ekiga 3.3.2.
  * Drop spandsp_autoconf_cppflags.patch, applied upstream.
  * libav_0.7.patch: Port to new upstream version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 10 Sep 2011 09:36:25 +0200

=== debian/control ===
Source: opal
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
 libpt-dev (>= 2.10.1~), libavcodec-dev,
 libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
 libcelt-dev, pkg-kde-tools,
 libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
 libcapi20-dev, libspandsp-dev (>= 0.0.6~pre17)
Build-Conflicts: libopal-dev, libx264-dev,
 libopal3.8.3, libopal3.8.4, libopal3.6.8, libopal3.10.1, libopal3.10.2
Standards-Version: 3.9.2
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
DM-Upload-Allowed: yes

Package: libopal3.10.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
Description: Open Phone Abstraction Library - successor of OpenH323
 This package contains the shared version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.
 .
 This package contains the shared version of the OPAL library, together
 with several free audio codecs and theora and H261 video codecs.

Package: libopal-dev
Section: libdevel
Architecture: any
Conflicts: openmpi-dev
Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version}), libpt-dev (>= 2.10.1~), libspeexdsp-dev,
 libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
Suggests: pkg-config
Recommends: libopal-doc
Description: OPAL library header files
 This package contains the headers and a static version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: simpleopal
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
Description: Simple example from the OPAL project
 This package contains a small H323 and SIP client given as an example. You
 can find its code on the doc package.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
Architecture: any
Description: OPAL library debug symbols
 This package contains the shared and static debug symbols of the
 OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: OPAL library documentation files
 This package contains the documentation and samples to program with
 the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE:=1

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := opal_$(UPVERSION).orig.tar.gz
URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2

# hack to get samples/simple compiled with new build system
# no := here for we need evaluation at runtime!
OPAL_LIBDIR=$(shell sed -n -e "/^OPAL_LIBDIR/s,^.*/,$(CURDIR)/,p" opal_defs.mak)

# to collect all symbols on all archs in experimental
# and set this to 1 or higher once we move to unstable
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper


override_dh_auto_configure:
	if [ -d plugins/audio/iLBC ];then \
	   echo "DFSG ERROR: iLBC code must be removed from upstream sources" ; false ; \
	fi
	dh_auto_configure -- --enable-samples --enable-spandsp

override_dh_auto_build:
	sed -e 's#^Libs: #Libs: -L$(OPAL_LIBDIR) #' opal.pc >samples/opal.pc
	dh_auto_build -- PKG_CONFIG_PATH=$(CURDIR)/samples opt docs

override_dh_auto_test:
	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
		echo shared simpleopal incorrectly compiled static; false;\
	else \
		echo shared simpleopal correctly compiled non-static; \
	fi
	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null

override_dh_link:
	# replace jquery.js with Debian's version
	rm -f debian/libopal-doc/usr/share/doc/libopal-doc/html/jquery.js
	dh_link

override_dh_clean:
	dh_clean -- PKG_CONFIG_PATH=$(CURDIR)/samples
	rm -rf html
	rm -f samples/opal.pc
	rm -rf samples/simple/obj_*

override_dh_strip:
	dh_strip -a --dbg-package=libopal-dbg

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
	@@#echo "svn REV:                 $(REV)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing iLBC, DLLs and EXEs)...'
	@@mkdir -p ../tarballs/opal-$(UPVERSION).tmp/
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
	@@rm -rf ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/audio/iLBC
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/CM_HID/CM_HID.dll
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/opal-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

## opal 3.10.4~dfsg

=== plugins/audio/SILK/SILK_SDK/Makefile ===
--- 
+++ 
@@ -83,13 +83,13 @@
 $(TARGET): $(OBJS)
 	$(ARCHIVE.cmdline)
 
-encoder$(EXESUFFIX): $(ENCODER_OBJS)	
+encoder$(EXESUFFIX): $(TARGET) $(ENCODER_OBJS)	
 	$(LINK.o.cmdline)
 
-decoder$(EXESUFFIX): $(DECODER_OBJS)	
+decoder$(EXESUFFIX): $(TARGET) $(DECODER_OBJS)	
 	$(LINK.o.cmdline)
 
-signalcompare$(EXESUFFIX): $(SIGNALCMP_OBJS)	
+signalcompare$(EXESUFFIX): $(TARGET) $(SIGNALCMP_OBJS)	
 	$(LINK.o.cmdline)
 
 clean:

=== debian/changelog ===
opal (3.10.4~dfsg-3) unstable; urgency=low

  * Drop unsupported CELT codec

 -- Mark Purcell <msp@debian.org>  Wed, 23 May 2012 07:42:55 +1000

opal (3.10.4~dfsg-2) unstable; urgency=low

  * Build-Depends libcapi20-dev [linux-any]

 -- Mark Purcell <msp@debian.org>  Sat, 10 Mar 2012 10:33:32 +1100

opal (3.10.4~dfsg-1) unstable; urgency=low

  * New Upstream Release 
    - NEW package libopal3.10.4 - soname change

  [ Eugen Dedu ]
  * Remove unnecessary libavcodec-dev from Build-Depends

  [ Mark Purcell ]
  * Drop symbol support - few rdepends and exporting lots of symbols (C++)
  * disable-samples-ftbfs too not build samples that currently FTBFS 
  * Add libopal-doc.examples - samples

 -- Mark Purcell <msp@debian.org>  Thu, 08 Mar 2012 22:26:07 +1100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: opal
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.10.1~), libavcodec-dev,
+ libpt-dev (>= 2.10.4~),
  libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
- libcelt-dev, pkg-kde-tools,
  libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
- libcapi20-dev, libspandsp-dev (>= 0.0.6~pre17)
+ libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17)
 Build-Conflicts: libopal-dev, libx264-dev,
- libopal3.8.3, libopal3.8.4, libopal3.6.8, libopal3.10.1, libopal3.10.2
+ libopal3.6.8, libopal3.10.4
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.10.2
+Package: libopal3.10.4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
 Description: Open Phone Abstraction Library - successor of OpenH323
@@ -36,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version}), libpt-dev (>= 2.10.1~), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.4 (= ${binary:Version}), libpt-dev (>= 2.10.4~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
@@ -51,7 +49,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.4 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -64,9 +62,9 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
-Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
-Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
+Depends: ${misc:Depends}, libopal3.10.4 (= ${binary:Version})
+Conflicts: libopal3.6.8-dbg
+Replaces: libopal3.6.8-dbg
 Architecture: any
 Description: OPAL library debug symbols
  This package contains the shared and static debug symbols of the

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,8 @@
 # no := here for we need evaluation at runtime!
 OPAL_LIBDIR=$(shell sed -n -e "/^OPAL_LIBDIR/s,^.*/,$(CURDIR)/,p" opal_defs.mak)
 
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
-
 %:
-	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper
+	dh $@ --parallel --with autotools_dev
 
 
 override_dh_auto_configure:
@@ -32,13 +28,13 @@
 	sed -e 's#^Libs: #Libs: -L$(OPAL_LIBDIR) #' opal.pc >samples/opal.pc
 	dh_auto_build -- PKG_CONFIG_PATH=$(CURDIR)/samples opt docs
 
-override_dh_auto_test:
-	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
-		echo shared simpleopal incorrectly compiled static; false;\
-	else \
-		echo shared simpleopal correctly compiled non-static; \
-	fi
-	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null
+#override_dh_auto_test:
+#	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
+#		echo shared simpleopal incorrectly compiled static; false;\
+#	else \
+#		echo shared simpleopal correctly compiled non-static; \
+#	fi
+#	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null
 
 override_dh_link:
 	# replace jquery.js with Debian's version

## opal 3.10.9~dfsg

=== debian/changelog ===
opal (3.10.9~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ] 
  * New upstream release
    - fix build on kFreeBSD
  * NEW package libopal3.10.9 - match-soname

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 21:28:55 +1100

opal (3.10.7~dfsg-3) experimental; urgency=low

  [ Eugen Dedu ]
  * Make libopal package manually depend on libavcodec package, since opal
    loads libavcodec functions during runtime.

  [ Mark Purcell ] 
  * Fix "missing informations in debian/copyright" 
    - Added plugins/audio/GSM0610/COPYRIGHT (Closes: #532456)

 -- Mark Purcell <msp@debian.org>  Tue, 09 Oct 2012 22:48:43 +1100

opal (3.10.7~dfsg-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Enable H263/4 codecs

  [ Mark Purcell ]
  * Fixes "Segfault in std::less<unsigned int>::operator() from
    /usr/lib/libopal.so.3.10.4" (Closes: #687079)
  * Fixes "segfault of ekiga in libopal" (Closes: #685399)
  * Switch to xz compression

 -- Mark Purcell <msp@debian.org>  Sat, 15 Sep 2012 13:20:59 +1000

opal (3.10.7~dfsg-1) experimental; urgency=low

  * New Upstream Release
    - Fixes "Opal 3.10.4 fails to build" (Closes: #674683)
  * NEW package libopal3.10.7 - match-soname

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2012 13:30:03 +1000

opal (3.10.5~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libopal3.10.5 - match-soname

 -- Mark Purcell <msp@debian.org>  Sun, 27 May 2012 09:39:53 +1000

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.10.4~),
+ libpt-dev (>= 2.10.9~), libavcodec-dev, libx264-dev,
+ libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
  libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
- libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
  libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17)
-Build-Conflicts: libopal-dev, libx264-dev,
- libopal3.6.8, libopal3.10.4
+Build-Conflicts: libopal-dev
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.10.4
+Package: libopal3.10.9
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
+Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1,
+ libavcodec53
 Description: Open Phone Abstraction Library - successor of OpenH323
  This package contains the shared version of the OPAL library.
  .
@@ -28,13 +28,13 @@
  conferencing.
  .
  This package contains the shared version of the OPAL library, together
- with several free audio codecs and theora and H261 video codecs.
+ with several audio and video codecs.
 
 Package: libopal-dev
 Section: libdevel
 Architecture: any
 Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.10.4 (= ${binary:Version}), libpt-dev (>= 2.10.4~), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version}), libpt-dev (>= 2.10.9~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
@@ -49,7 +49,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.4 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -62,7 +62,7 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.10.4 (= ${binary:Version})
+Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
 Conflicts: libopal3.6.8-dbg
 Replaces: libopal3.6.8-dbg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')
 
-FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.gz
+FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.xz
 UPFILENAME := opal_$(UPVERSION).orig.tar.gz
-URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2
+URL := http://aarnet.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2
 
 # hack to get samples/simple compiled with new build system
 # no := here for we need evaluation at runtime!
@@ -69,6 +69,6 @@
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe
 	@@echo Writing archive ../tarballs/$(FILENAME) ...
-	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
+	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfJ ../$(FILENAME) *
 	@@echo Cleaning up...
 	@@$(RM) -rf ../tarballs/opal-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

## opal 3.10.10~dfsg

=== samples/codectest/Makefile ===
#
# Makefile
#
# Makefile for codectest
#
# Copyright (c) 2007 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2007/08/20 06:28:15  rjongbloed
# Added new application to test audio and video codecs by taking real media
#   (camera/YUV file/microphone/WAV file etc) encoding it, decoding it and playing
#   back on real output device (screen/speaker etc)
#


PROG = codectest
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/lidtest/Makefile ===
#
# Makefile
#
# Make file for Line Interface Device test application.
#
# Copyright (C) 2008 Vox Lucida
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 Library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Revision$
# $Author$
# $Date$
#

PROG		= lidtest
SOURCES		:= main.cxx

ifndef OPALDIR
OPALDIR=$(CURDIR)/../..
endif

include $(OPALDIR)/opal_inc.mak

=== samples/opalcodecinfo/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the Open H323 library.
#
# Copyright (C) 2004 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 Library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.2  2006/07/24 14:03:39  csoutheren
# Merged in audio and video plugins from CVS branch PluginBranch
#
# Revision 1.1  2006/03/13 06:56:37  csoutheren
# Initial version
#
# Revision 1.1  2004/05/11 01:19:37  csoutheren
# Initial version
#
#

PROG		= codecinfo
SOURCES		:= main.cxx

ifndef OPENH323DIR
OPALDIR=$(CURDIR)/../..
endif

VERSION_FILE := $(OPALDIR)/version.h

include $(OPALDIR)/opal_inc.mak

=== samples/opalecho/Makefile ===
#
# Makefile
#
# Make file for opalecho
#
# Copyright (c) 2009 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Opal
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
#

PROG	= opalecho
SOURCES	:= main.cxx custom.cxx 

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else

default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif
 
ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/opalgw/Makefile ===
#
# Makefile
#
# Make file for opalgw
#
# Open Phone Abstraction Lebrary Project
#
# Copyright (c) 2003 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.2  2003/03/26 03:03:52  robertj
# Set correct project name
#
# Revision 1.1  2003/03/26 02:49:00  robertj
# Added service/daemon sample application.
#

PROG	= opalgw
SOURCES	:= main.cxx custom.cxx gkserv.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else

default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif
 
ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/playrtp/Makefile ===
#
# Makefile
#
# Makefile for PlayRTP
#
# Copyright (c) 2007 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2007/09/28 02:33:26  rjongbloed
# Added application to play back RTP out of a Wireshark capture file.
#


PROG = playrtp
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/simple/Makefile ===
#
# Makefile
#
# Copyright (C) 2008 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is OPAL library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): Matthias Schneider (ma30002000@yahoo.de)
#

PROG		= simpleopal
SRCS            = main.cxx


# If we have environment variables for local copies of
# OPAL and PTLib then use those packages by overriding
# the search path for pkg-config
ifneq ($(PTLIBDIR),)
ifneq ($(OPALDIR),)
PKG_CONFIG_PATH=$(OPALDIR):$(PTLIBDIR)
endif
endif

# Determine which package to use debug or release
ifeq ($(DEBUG_BUILD), yes)
DEBUG_SUFFIX=_d
CFLAGS += -g
else
DEBUG_SUFFIX=
CFLAGS += -O3
endif

ifeq ($(STATIC_BUILD), yes)
SUFFIX=$(DEBUG_SUFFIX)_s --static
else
SUFFIX=$(DEBUG_SUFFIX)
endif

ifneq ($(SUFFIX),)
PKG_FLAGS = --define-variable=suffix=$(SUFFIX)
endif
# Get required flags from library

# The -I option allows to build the simple application in the same time as opal
# (as used by distribution packagers)
CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --cflags opal) -I../../include
LDFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --libs opal)


# This part is we like to be tidy and put all the build products
# in a sub-directory of a name specific to platform type.
OBJDIR = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --variable=objdir opal)

vpath	%.o   $(OBJDIR)

$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.dep : %.cxx 
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	@printf %s $(OBJDIR)/ > $@
	$(CXX) $(CXXFLAGS:-g=) -M $< >> $@


# This builds the application

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(OBJDIR)/$(PROG): $(OBJECTS)
	 $(CXX) $^ $(LDFLAGS) -o $@

distclean:
	$(MAKE) DEBUG_BUILD=no  STATIC_BUILD=no  clean
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no  clean
	$(MAKE) DEBUG_BUILD=no  STATIC_BUILD=yes clean
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes clean

clean:
	rm -rf $(OBJDIR) $(OBJDIR)_d

# Some extra targets for convenience

opt:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=no

debug:
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no
	
both:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=no
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no

optnoshared:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=yes

debugnoshared:
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes
	
bothnoshared:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=yes
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes

depend: Makefile $(patsubst %.dep, $(OPAL_DEPDIR)/%.dep, $(SRCS) $(DEPS))
	@echo Dependencies created.


###########################################

=== debian/changelog ===
opal (3.10.10~dfsg-2.1ubuntu3) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:56:11 +0000

opal (3.10.10~dfsg-2.1ubuntu2) trusty; urgency=low

  * Work around the build infrastructure's kindly ignoring CPPFLAGS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Jan 2014 12:37:27 -0500

opal (3.10.10~dfsg-2.1ubuntu1) trusty; urgency=low

  * Pass P_64BIT to build infrastructure appropriately to resolve
    FTBFS on newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Jan 2014 11:24:58 -0500

opal (3.10.10~dfsg-2.1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 22:00:12 +0000

opal (3.10.10~dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/libav9.patch: Backport changes for libav 9 and link against
    libavcodec and libavutil instead of loading it with dlopen. (Closes:
    #720824)
  * debian/control: Remove explicit dependency on libavcodec. This is now
    generated by dpkg-shlibdeps.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 Sep 2013 13:21:27 +0200

opal (3.10.10~dfsg-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 12:49:36 +1100

opal (3.10.10~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release
  * Do not remove iLBC audio codec anymore, since it is free now
  * Depend on libavcodec-extra-53 too (Closes: #695691)

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 21:28:55 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: opal
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.10.9~), libavcodec-dev, libx264-dev,
+ libpt-dev (>= 2.10.10~), libavcodec-dev, libx264-dev,
  libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
  libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
- libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17)
+ libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17),
+ dpkg-dev (>= 1.15.4)
 Build-Conflicts: libopal-dev
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
@@ -15,10 +17,9 @@
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.10.9
+Package: libopal3.10.10
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1,
- libavcodec53
+Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
 Description: Open Phone Abstraction Library - successor of OpenH323
  This package contains the shared version of the OPAL library.
  .
@@ -33,8 +34,7 @@
 Package: libopal-dev
 Section: libdevel
 Architecture: any
-Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version}), libpt-dev (>= 2.10.9~), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version}), libpt-dev (>= 2.10.10~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
@@ -49,7 +49,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -62,7 +62,7 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
+Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
 Conflicts: libopal3.6.8-dbg
 Replaces: libopal3.6.8-dbg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE:=1
+ifeq (64,$(strip $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)))
+   export EXTRA_EXTRA_CPPFLAGS:=-DP_64BIT=1
+endif
 
 DEBVERSION := $(shell head -n 1 debian/changelog \
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
@@ -19,9 +22,6 @@
 
 
 override_dh_auto_configure:
-	if [ -d plugins/audio/iLBC ];then \
-	   echo "DFSG ERROR: iLBC code must be removed from upstream sources" ; false ; \
-	fi
 	dh_auto_configure -- --enable-samples --enable-spandsp
 
 override_dh_auto_build:
@@ -61,10 +61,9 @@
 	@@#this is for stable versions
 	@@echo Downloading $(UPFILENAME) from $(URL) ...
 	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
-	@@echo 'Repacking as DFSG-free (removing iLBC, DLLs and EXEs)...'
+	@@echo 'Repacking as DFSG-free (removing DLLs and EXEs)...'
 	@@mkdir -p ../tarballs/opal-$(UPVERSION).tmp/
 	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
-	@@rm -rf ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/audio/iLBC
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/CM_HID/CM_HID.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe

=== debian/watch ===
version=3
#  http://www.voxgratia.org/releases/opal-v(\d+)_(\d?[02468]+)([\d_]+)-src[\.-]tar\.gz	debian	svn-upgrade

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
  http://sf.net/opalvoip/opal-(\d.\d+.\d).tar.bz2 debian svn-upgrade
